summaryrefslogtreecommitdiff
path: root/scripts/lint-changelog-filenames
diff options
context:
space:
mode:
authorGitLab Bot <gitlab-bot@gitlab.com>2020-01-21 14:21:10 +0000
committerGitLab Bot <gitlab-bot@gitlab.com>2020-01-21 14:21:10 +0000
commitcb0d23c455b73486fd1015f8ca9479b5b7e3585d (patch)
treed7dc129a407fd74266d2dc561bebf24665197c2f /scripts/lint-changelog-filenames
parentc3e911be175c0aabfea1eb030f9e0ef23f5f3887 (diff)
downloadgitlab-ce-cb0d23c455b73486fd1015f8ca9479b5b7e3585d.tar.gz
Add latest changes from gitlab-org/gitlab@12-7-stable-ee
Diffstat (limited to 'scripts/lint-changelog-filenames')
-rwxr-xr-xscripts/lint-changelog-filenames12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/lint-changelog-filenames b/scripts/lint-changelog-filenames
new file mode 100755
index 00000000000..2355ac6f7b2
--- /dev/null
+++ b/scripts/lint-changelog-filenames
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+lint_paths="changelogs/unreleased"
+[ -d "ee/" ] && lint_paths="$lint_paths ee/changelogs/unreleased"
+
+invalid_files=$(find $lint_paths -type f -not -name "*.yml" -not -name ".gitkeep")
+
+if [ -n "$invalid_files" ]; then
+ echo "Changelog files must end in .yml, but these did not:"
+ echo "$invalid_files" | sed -e "s/^/* /"
+ exit 1
+fi